class ContactsMailer < ActionMailer::Base
  default from: "#{Settings.app.title} <no-reply@#{Settings.app.domain}>"
  
  def confirmation(contact)
    @contact = contact
    mail(:to => @contact.email, :subject => I18n.t("contacts.confirmation.subject"))
  end
  
  def notify(contact)
    @contact  = contact
    recipient = Setting.where(:key => "notifies_recipient", :group => "contacts").first.try(:value) || Settings.app.notifies_recipient    
    mail(:to => recipient, :subject => "#{Settings.app.domain}: #{I18n.t('contacts.contact_request_from', :from => @contact.name)}")
  end
  
end
